From c3bc2619453ad2273d810e0593b90c3f1fe04be2 Mon Sep 17 00:00:00 2001
From: Callan Barrett <wizzomafizzo@gmail.com>
Date: Wed, 4 Jun 2008 04:34:03 +0800
Subject: [PATCH] Support for uploading plain PKGBUILDs

Adds support for uploading plain PKGBUILDs to the AUR
Simply moves the PKGBUILD to a directory to be treated the same as if it were
in a tarball

Signed-off-by: Callan Barrett <wizzomafizzo@gmail.com>
---
 web/html/pkgsubmit.php |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

diff --git a/web/html/pkgsubmit.php b/web/html/pkgsubmit.php
index b88e62e..1708e4d 100644
--- a/web/html/pkgsubmit.php
+++ b/web/html/pkgsubmit.php
@@ -37,11 +37,15 @@ if ($_COOKIE["AURSID"]) {
 					$error = __("Could not change directory to %s.",
 						array(UPLOAD_DIR . $tempdir));
 				} else {
-					# try using general tar. it should take .gz, .bz2, and plain .tar
-					exec("/bin/sh -c 'tar xf ".$_FILES['pfile']['tmp_name']."'", $trash, $retval);
-					if ($retval) {
-						$error = __("Unknown file format for uploaded file.");
-					}
+				  if ($_FILES['pfile']['name'] == "PKGBUILD") {
+				    move_uploaded_file($_FILES['pfile']['tmp_name'], UPLOAD_DIR . $tempdir . "/PKGBUILD");
+				  } else {
+  					# try using general tar. it should take .gz, .bz2, and plain .tar
+  					exec("/bin/sh -c 'tar xf ".$_FILES['pfile']['tmp_name']."'", $trash, $retval);
+  					if ($retval) {
+  						$error = __("Unknown file format for uploaded file.");
+  					}
+				  }
 				}
 			}
 		}
-- 
1.5.3.8

